Page MenuHomePhabricator

jQuery.IME's Ctrl+Enter keyboard shortcut conflicts with OOUI's Ctrl+Enter keyboard shortcut
Closed, ResolvedPublic1 Story Points

Description

When IME is enabled, pressing Ctrl+Enter in VE save dialog doesn't work - and save isn't invoke (in non intuitive way).
Carefully checking the the developer console show there is API request going to server with success, but it is IME options rather than VE save.

Event Timeline

eranroz created this task.May 7 2016, 8:23 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 7 2016, 8:23 PM
Jdforrester-WMF renamed this task from IME conflicts with OO ui shortcuts to jQuery.IME's Ctrl+Enter keyboard shortcut conflicts with OOUI's Ctrl+Enter keyboard shortcut.May 10 2016, 7:09 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Change 289350 had a related patch set uploaded (by Santhosh):
Update jquery.ime to d563f903c9e

https://gerrit.wikimedia.org/r/289350

Change 289350 merged by jenkins-bot:
Update jquery.ime to d563f903c9e

https://gerrit.wikimedia.org/r/289350

Jdforrester-WMF closed this task as Resolved.May 24 2016, 5:24 PM
Jdforrester-WMF assigned this task to santhosh.